/*
 * util.c
 */
#include "copyright.h"

#include <stdio.h>
#include <math.h>
#include <signal.h>
#include <sys/types.h>
#include <sys/time.h>
#include "defs.h"
#include "struct.h"
#include "data.h"

/*
** Provide the angular distance between two angles.
*/
angdist(x, y)
unsigned char x, y;
{
    register unsigned char res;

    res = ABS(x - y);
    if (res > 128)
	return(256 - (int) res);
    return((int) res);
}

void
my_sleep(secs)

   int  secs;
{
   struct timeval       timeout;
   timeout.tv_sec = secs;
   timeout.tv_usec = 0;
   select(32, 0, 0, 0, &timeout);
}

