#include <stdio.h>
#ifdef USE_MMAP
int
main ()
{
  printf ("nuke unimplemented for USE_MMAP\n");
}
#else
#include <errno.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include "defs.h"

main ()
{
  extern int errno;
  int shmemKey = PKEY;
  int shmid;
  char answer[80];

  errno = 0;
  shmid = shmget (shmemKey, 0, 0);
  if (shmid < 0)
    {
      if (errno != ENOENT)
	{
	  perror ("shmget");
	  exit (1);
	}
      shmid = shmget (shmemKey, 0, 0);
      if (shmid < 0)
	{
	  fprintf (stderr, "nuke: Daemon not running\n");
	  exit (1);
	}
    }
  fprintf (stderr, "Confirm removal of shared memory segment (yes/no): ");
  fflush (stderr);
  scanf ("%s", answer);

  if (strcmp (answer, "yes") != 0)
    {
      fprintf (stderr, "aborting.\n");
      exit (0);
    }

  shmctl (shmid, IPC_RMID, 0);	/* nuke it */
}
#endif
